CamelIMAP4Search
3
CAMEL Library

# CamelIMAP4Search

## Synopsis

                        CamelIMAP4Search;
    CamelFolderSearch*  camel_imap4_search_new              (struct _CamelIMAP4Engine *engine,
                                                             const char *cachedir);

## Description

## Details

### CamelIMAP4Search

    typedef struct {
    	CamelFolderSearch parent_object;

    	struct _CamelIMAP4Engine *engine;

    	guint32 lastuid;	/* current 'last uid' for the folder */
    	guint32 validity;	/* validity of the current folder */

    	CamelDataCache *cache;	/* disk-cache for searches */

    	/* cache of body search matches */
    	EDList matches;
    	GHashTable *matches_hash;
    	unsigned int matches_count;
    } CamelIMAP4Search;

### camel_imap4_search_new ()

    CamelFolderSearch*  camel_imap4_search_new              (struct _CamelIMAP4Engine *engine,
                                                             const char *cachedir);

`engine` :

`cachedir` :

Returns :